package domain


type AlibabaWdkSkuAddApiResult struct {
    /*
        错误编码     */
    ErrCode  *string `json:"err_code,omitempty" `

    /*
        错误信息     */
    ErrMsg  *string `json:"err_msg,omitempty" `

    /*
        单个商品新增是否成功     */
    Success  *bool `json:"success,omitempty" `

    /*
        skuCode商品编码     */
    Model  *string `json:"model,omitempty" `

    /*
        聚合之后的产品id，商家需要保存该值     */
    ProductId  *string `json:"product_id,omitempty" `

}

func (s *AlibabaWdkSkuAddApiResult) SetErrCode(v string) *AlibabaWdkSkuAddApiResult {
    s.ErrCode = &v
    return s
}
func (s *AlibabaWdkSkuAddApiResult) SetErrMsg(v string) *AlibabaWdkSkuAddApiResult {
    s.ErrMsg = &v
    return s
}
func (s *AlibabaWdkSkuAddApiResult) SetSuccess(v bool) *AlibabaWdkSkuAddApiResult {
    s.Success = &v
    return s
}
func (s *AlibabaWdkSkuAddApiResult) SetModel(v string) *AlibabaWdkSkuAddApiResult {
    s.Model = &v
    return s
}
func (s *AlibabaWdkSkuAddApiResult) SetProductId(v string) *AlibabaWdkSkuAddApiResult {
    s.ProductId = &v
    return s
}
